DocsAPI referenceOperations
List fonts
The fonts a text layer can name as font: each id with its family, weight, the scripts it covers and its licence. Public: needs no API key.
GET /v1/fonts
Needs no API key.
Request
bash
# Public: needs no API key.
curl "$VIDEXO_API_URL/v1/fonts"Copy failed. The text is selected; copy it with your keyboard.
JavaScript
const response = await fetch(`${process.env.VIDEXO_API_URL}/v1/fonts`);
const fonts = await response.json();Copy failed. The text is selected; copy it with your keyboard.
Response
200 JSON
{
"data": [
{
"id": "inter",
"family": "Inter",
"weight": 400,
"scripts": [
"latin",
"greek",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "inter-bold",
"family": "Inter",
"weight": 700,
"scripts": [
"latin",
"greek",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "roboto",
"family": "Roboto",
"weight": 400,
"scripts": [
"latin",
"greek",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "roboto-bold",
"family": "Roboto",
"weight": 700,
"scripts": [
"latin",
"greek",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "open-sans",
"family": "Open Sans",
"weight": 400,
"scripts": [
"latin",
"greek",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "open-sans-bold",
"family": "Open Sans",
"weight": 700,
"scripts": [
"latin",
"greek",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "montserrat",
"family": "Montserrat",
"weight": 400,
"scripts": [
"latin",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "montserrat-bold",
"family": "Montserrat",
"weight": 700,
"scripts": [
"latin",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "poppins",
"family": "Poppins",
"weight": 400,
"scripts": [
"latin"
],
"license": "OFL-1.1"
},
{
"id": "poppins-bold",
"family": "Poppins",
"weight": 700,
"scripts": [
"latin"
],
"license": "OFL-1.1"
},
{
"id": "oswald",
"family": "Oswald",
"weight": 400,
"scripts": [
"latin",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "oswald-bold",
"family": "Oswald",
"weight": 700,
"scripts": [
"latin",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "bebas-neue",
"family": "Bebas Neue",
"weight": 400,
"scripts": [
"latin"
],
"license": "OFL-1.1"
},
{
"id": "playfair-display",
"family": "Playfair Display",
"weight": 400,
"scripts": [
"latin",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "playfair-display-bold",
"family": "Playfair Display",
"weight": 700,
"scripts": [
"latin",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "merriweather",
"family": "Merriweather",
"weight": 400,
"scripts": [
"latin",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "merriweather-bold",
"family": "Merriweather",
"weight": 700,
"scripts": [
"latin",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "noto-sans",
"family": "Noto Sans",
"weight": 400,
"scripts": [
"latin",
"greek",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "noto-sans-bold",
"family": "Noto Sans",
"weight": 700,
"scripts": [
"latin",
"greek",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "noto-serif",
"family": "Noto Serif",
"weight": 400,
"scripts": [
"latin",
"greek",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "noto-serif-bold",
"family": "Noto Serif",
"weight": 700,
"scripts": [
"latin",
"greek",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "jetbrains-mono",
"family": "JetBrains Mono",
"weight": 400,
"scripts": [
"latin",
"greek",
"cyrillic"
],
"license": "OFL-1.1"
},
{
"id": "jetbrains-mono-bold",
"family": "JetBrains Mono",
"weight": 700,
"scripts": [
"latin",
"greek",
"cyrillic"
],
"license": "OFL-1.1"
}
]
}Copy failed. The text is selected; copy it with your keyboard.
Responses
| Status | Body | When |
|---|---|---|
| 200 | FontList | The fonts. |